#ifndef AccountHistorieDaten_H
#define AccountHistorieDaten_H

#include <Array.h>
#include <Text.h>

using namespace Framework;

struct AHSpielSpielerDaten
{
	Text *name;
	int punkte;
	Text *status;
	int farbe;
	int ref;

	// Konstruktor
	AHSpielSpielerDaten();
	// Destruktor
	~AHSpielSpielerDaten();
	// Reference Counting
	AHSpielSpielerDaten *getThis();
	AHSpielSpielerDaten *release();
};

struct AHSpielTeamDaten
{
	Text *name;
	int sAnzahl;
	Text *status;
	int farbe;
	RCArray< AHSpielSpielerDaten > *spieler;
	int ref;

	// Konstruktor
	AHSpielTeamDaten();
	// Destruktor
	~AHSpielTeamDaten();
	// Reference Counting
	AHSpielTeamDaten *getThis();
	AHSpielTeamDaten *release();
};

struct AHSpielDaten
{
	int id;
	int karteId;
	Text *spiel;
	Text *karte;
	Text *datum;
	Text *status;
	Text *dauer;
	Text *spielStatus;
	Text *gewinner;
	int sAnzahl;
	RCArray< AHSpielTeamDaten > *teams;
	int ref;

	// Konstruktor
	AHSpielDaten();
	// Destruktor
	~AHSpielDaten();
	// Reference Counting
	AHSpielDaten *getThis();
	AHSpielDaten *release();
};

struct AHDaten
{
	RCArray< AHSpielDaten > *spiele;
	int ref;

	// Konstruktor
	AHDaten();
	// Destruktor
	~AHDaten();
	// Reference Counting
	AHDaten *getThis();
	AHDaten *release();
};

#endif